Skip to main content
PUT
Update a group

Authorizations

Authorization
string
header
required

Send Authorization: Bearer YOUR_API_KEY. The key resolves to a single organization.

Path Parameters

id
string<uuid>
required

Benchmark id.

groupId
string<uuid>
required

Group id.

Body

application/json
title
string
required
Required string length: 1 - 120
why
string | null
Maximum string length: 300
severity
enum<string>
default:major
Available options:
critical,
major,
minor
passRule
object

How a group's verdict is reached from its cases.

Response

Successful response.

A named group of cases with a severity and a pass rule.

id
string
required
title
string
required
why
string | null
required
severity
enum<string>
required
Available options:
critical,
major,
minor
passRule
object

How a group's verdict is reached from its cases.

caseCount
integer